Subject: bug#42155: closed (Re: bug#42155: --with-source=PACKAGE=REPLACEMENT-SOURCE doesn't work recursively)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 21 Feb 2023 13:19:01 +0000

Your bug report

#42155: --with-source=PACKAGE=REPLACEMENT-SOURCE doesn't work recursively

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
42155: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=42155
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#42155: --with-source=PACKAGE=REPLACEMENT-SOURCE doesn't work recursively
From: Maxim Cournoyer <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: pkill9 <[email-masked]>, [email-masked], Efraim Flashner <[email-masked]>
Date: Tue, 21 Feb 2023 08:18:46 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Ludovic Courtès <[email-masked]> writes:

> pkill9 <[email-masked]> skribis:
>
>>> I think what you're looking for is more of:
>>> 
>>> guix build --no-grafts mpv --with-input=youtube-dl=$(guix build
>>> --no-grafts youtube-dl
>>> --with-source=https://github.com/ytdl-org/youtube-dl/releases/download/2020.06.16/youtube-dl-2020.06.16.tar.gz)
>>> 
>>> This didn't work for me though, I got:
>>> guix build: error:
>>> /gnu/store/9ncacjhzwlchpr1y5fd8ahdq59dsya20-youtube-dl-2020.06.16:
>>> unknown package
>>
>> Even if that worked, it doesn't fix the issue of the --with-source flag
>> not working on the specified package's inputs.
>
> ‘--with-source’ is documented to be “shallow”: unlike ‘--with-input’ &
> co., it doesn’t apply recursively.
>
> I think we should change it though.

Closing, since that's been implemented per
28ade1bab207974cce6a014e7187968511fc5526 ("transformations:
'--with-source' now operates in depth.") last September.

-- 
Thanks,
Maxim

Subject: --with-source=PACKAGE=REPLACEMENT-SOURCE doesn't work recursively
From: pkill9 <[email-masked]>
To: [email-masked]
Date: Wed, 1 Jul 2020 17:53:31 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

For example, `guix build --with-source=youtube-dl=blahblah mpv` builds
mpv normally, after giving a message: guix build: warning:
transformation 'with-source' had no effect on [email-masked]